var commandsIndex = {
    "cargo": [["cargo-audit","https://github.com/RustSec/cargo-audit","Audit Cargo.lock for crates with security vulnerabilities"],["cargo-asm, cargo-llvm-ir","https://github.com/gnzlbg/cargo-asm","Shows generates assembly or LLVM IR of Rust code"],["cargo-benchcmp","https://github.com/BurntSushi/cargo-benchcmp","Compare output of cargo bench output, both runs over time and same benchmarks in multiple modules (e.g. for comparing multiple implementations)"],["cargo-bitbake","https://github.com/cardoe/cargo-bitbake","Generate Yocto's bitbake recipes from your Cargo.toml"],["cargo-bloat","https://github.com/RazrFalcon/cargo-bloat","Find out what takes most of the space in your executable."],["cargo-cache","https://github.com/matthiaskrgr/cargo-cache","Helps you manage the cargo cache (~/.cargo), print sizes and clear directories"],["cargo-check","https://github.com/rsolomo/cargo-check","This is a wrapper around cargo rustc -- -Zno-trans. It can be helpful for running a faster compile if you only need correctness checks."],["cargo-cook","https://github.com/vityafx/cargo-cook","Cooks your crate (packaging & deploying)."],["cargo-clippy","https://github.com/Manishearth/rust-clippy#as-a-cargo-subcommand-cargo-clippy","Lint your project using Clippy."],["cargo-cln","https://gitlab.com/pwoolcoc/cargo-cln","Alternative to cargo-clean, allows running arbitrary commands in addition to wiping out target/ directory."],["cargo-clone","https://github.com/janlikar/cargo-clone","Fetch source code of a crate"],["cargo-config","https://github.com/wesleywiser/cargo-config","Print info about the current crate."],["cargo-count","https://github.com/kbknapp/cargo-count","counts lines of code in cargo projects, including giving naive unsafe statistics"],["cargo-deadlinks","https://github.com/deadlinks/cargo-deadlinks","Check your cargo doc documentation for broken links"],["cargo-deb","https://github.com/mmstick/cargo-deb","Generates & builds Debian packages from cargo projects."],["cargo-deny","https://github.com/EmbarkStudios/cargo-deny","Lint your dependencies"],["cargo-deps","https://github.com/m-cat/cargo-deps","Create dependency diagrams for your Rust projects."],["cargo-diet","https://github.com/the-lean-crate/cargo-diet","Make your crate lean by computing size-optimal include directives for Cargo manifests."],["cargo-do","https://github.com/pwoolcoc/cargo-do","Run multiple cargo subcommands in sequence (e.g., cargo do clean, build)"],["cargo-dors","https://github.com/aklitzke/dors","Task runner for cargo. Deploy, load, or run other scripts from your cargo project"],["cargo-edit","https://github.com/killercup/cargo-edit","A utility for adding (cargo-add), removing (cargo-rm), and upgrading (cargo-upgrade) cargo dependencies from the command line."],["cargo-expand","https://github.com/dtolnay/cargo-expand","Print the result of macro expansion and #[derive] expansion."],["cargo-rustfmt","https://github.com/rust-lang-nursery/rustfmt","Format Rust code according to style guidelines."],["cargo-fuzz","https://github.com/rust-fuzz/cargo-fuzz","Command-line wrapper for using libFuzzer"],["cargo-generate","https://github.com/ashleygwilliams/cargo-generate","Create a new Rust project by leveraging a pre-existing git repository as a template."],["cargo-grammarly","https://github.com/vityafx/cargo-grammarly","Use the grammarly service for checking English grammar in your crate's documentation."],["cargo-graph","https://github.com/kbknapp/cargo-graph","Build GraphViz DOT files of dependency graphs. Unmaintained, consider using cargo-deps."],["cargo-info","https://gitlab.com/imp/cargo-info","Get crate information and details from crates.io"],["cargo-license","https://github.com/onur/cargo-license","List licensing info for the project's dependencies."],["cargo-linked","https://github.com/JojiiOfficial/cargo-linked","List Linked packages for a rust binary."],["cargo-lipo","https://github.com/TimNN/cargo-lipo","Automatically create universal libraries for iOS."],["cargo-lock","https://github.com/RustSec/cargo-lock","List packages, show dependency trees, and translate formats for Cargo.lock files."],["cargo-make","https://github.com/sagiegurari/cargo-make","Rust task runner and build tool."],["cargo-modules","https://github.com/regexident/cargo-modules","List a project's modules in a tree-like format."],["cargo-multi","https://github.com/imp/cargo-multi","Run a cargo command on multiple crates."],["cargo-open","https://github.com/carols10cents/cargo-open","Quickly open your crate in your editor."],["cargo-outdated","https://github.com/kbknapp/cargo-outdated","A cargo subcommand for displaying when Rust dependencies are out of date"],["cargo-patch","https://github.com/mettke/cargo-patch","Cargo Subcommand for patching dependencies using patch files."],["cargo-pkgbuild","https://github.com/kstep/cargo-pkgbuild","Generate an Arch PKGBUILD for your crate."],["cargo-profiler","https://github.com/svenstaro/cargo-profiler","A cargo subcommand to profile your applications."],["cargo-release","https://github.com/sunng87/cargo-release","Standardizes the release process of a cargo project."],["cargo-repro","https://github.com/rust-secure-code/cargo-repro","Build and verify byte-for-byte reproducible Rust packages using a Cargo-based workflow (WIP)."],["cargo-rpm","https://github.com/rustrpm/cargo-rpm","Build RPM releases of Rust projects using cargo."],["cargo-sandbox","https://github.com/rust-secure-code/cargo-sandbox","Perform Cargo builds inside of a sandboxed environment (WIP)."],["cargo-script","https://github.com/DanielKeep/cargo-script","designed to let people quickly and easily run Rust \"scripts\" which can make use of Cargo's package ecosystem."],["cargo-sort-ck","https://github.com/DevinR528/cargo-sort-ck","Checks that your Cargo.toml dependencies are sorted alphabetically."],["cargo-tarpaulin","https://github.com/xd009642/tarpaulin","Code coverage tool for your Rust projects"],["cargo-tomlfmt","https://github.com/tbrand/cargo-tomlfmt","Formatting Cargo.toml"],["cargo-tree","https://github.com/sfackler/cargo-tree","List a project's dependencies in a tree-like format. Also supports an \"inverted\" mode to help determine why a specific crate is being pulled in."],["cargo-update","https://github.com/nabijaczleweli/cargo-update","Check for cargo installed executables' newer versions and update as needed."],["cargo-urlcrate","https://github.com/Aaron1011/cargo-urlcrate","Adds URLs of installing/downloading crates to Cargo output"],["cargo-valgrind","https://github.com/jfrimmel/cargo-valgrind","Runs a binary, example, bench, ... inside valgrind to check for memory leaks. Helpful in FFI contexts."],["cargo-vendor","https://github.com/alexcrichton/cargo-vendor","Vendors all crates.io dependencies into a local directory using Cargo's support for source replacement"],["cargo-watch","https://github.com/passcod/cargo-watch","Watch your repo for changes and build automatically."],["cargo-with","https://github.com/cbourjau/cargo-with","A cargo-subcommand making it easy to run the build artifacts produced by cargo run or cargo build through other tools such as gdb, strace, valgrind, rr, etc."],["cargo-wix","https://github.com/volks73/cargo-wix","Builds a Windows installer (msi) using the Wix Toolset based on the contents of a package's manifest (Cargo.toml)"],["cargo-x","https://github.com/liuchong/cargo-x","A very simple third-party cargo subcommand to execute a custom command."]],
    "book": [
        ["The Rust Programming Language", "https://doc.rust-lang.org/stable/book/"],
        ["Rust Async Book", "https://rust-lang.github.io/async-book/"],
        ["Rust Edition Guide Book", "https://doc.rust-lang.org/stable/edition-guide/"],
        ["The Cargo Book", "https://doc.rust-lang.org/cargo/index.html"],
        ["Rust and WebAssembly Book", "https://rustwasm.github.io/docs/book/"],
        ["The Embedded Rust Book", "https://rust-embedded.github.io/book/"],
        ["The Rust Cookbook", "https://rust-lang-nursery.github.io/rust-cookbook/"],
        ["Command line apps in Rust", "https://rust-cli.github.io/book/index.html"],
        ["Rust by Example", "https://doc.rust-lang.org/stable/rust-by-example/"],
        ["Rust RFC", "https://rust-lang.github.io/rfcs/"],
        ["The Rust Doc Book", "https://doc.rust-lang.org/rustdoc/index.html"],
        ["The rustc Book", "https://doc.rust-lang.org/rustc/index.html"],
        ["Guide to Rustc Development", "https://rustc-dev-guide.rust-lang.org/"],
        ["The Rust Reference", "https://doc.rust-lang.org/reference/index.html"],
        ["The Rustonomicon", "https://doc.rust-lang.org/nomicon/index.html"],
        ["The Unstable Book", "https://doc.rust-lang.org/unstable-book/index.html"],
        ["Rust bindgen User Guide", "https://rust-lang.github.io/rust-bindgen/"],
        ["The wasm-bindgen Guide", "https://rustwasm.github.io/docs/wasm-bindgen/"],
        ["Rust API Guidelines", "https://rust-lang.github.io/api-guidelines/"],
        ["Rust Fuzz Book", "https://rust-fuzz.github.io/book/"],
        ["Rust Forge Book", "https://forge.rust-lang.org/"],
        ["Rust Chalk Book", "https://rust-lang.github.io/chalk/book/"],
        ["Rust Performance Book", "https://nnethercote.github.io/perf-book/"],
    ],
    "yet": [
        ["Are we async yet?", "https://areweasyncyet.rs", "Asynchronous I/O in Rust"],
        ["Are we audio yet?", "https://areweaudioyet.com", "Audio related development in Rust"],
        ["Are we game yet?", "http://arewegameyet.com", "Rust game development"],
        ["Are we GUI yet?", "http://areweguiyet.com", "Rust GUI development"],
        ["Are we IDE yet?", "http://areweideyet.com", "Rust development environments"],
        ["Are we learning yet?", "http://www.arewelearningyet.com", "Rust machine learning ecosystem"],
        ["Are we web yet?", "http://arewewebyet.org", "Rust libraries for web development"],
        ["Are we podcast yet?", "https://soundcloud.com/arewepodcastyet", "Rust Are We Podcast Yet"],
        ["Are we IPFS yet?", "https://areweipfsyet.rs/", "Are We InterPlanetary File System (IPFS) Yet"],
        ["Are we quantum yet?", "https://arewequantumyet.github.io/", "A framework compilation for all things quantum computing in Rust."],
    ],
    "tool": [
        ["Rust Playground", "https://play.rust-lang.org/"],
        ["cheats.rs", "https://cheats.rs/"],
        ["caniuse.rs", "https://caniuse.rs/"],
        ["Macro Railroad ", "https://lukaslueg.github.io/macro_railroad_wasm_demo/"],
    ],
    "mirror": [
        ["[CN] 清华大学开源软件镜像站-Rust Crates源", "https://mirrors.tuna.tsinghua.edu.cn/help/crates.io-index.git/"],
        ["[CN] 清华大学开源软件镜像站-Rustup源", "https://mirrors.tuna.tsinghua.edu.cn/help/rustup/"],
        ["[CN] 中国科学技术大学开源软件镜像站-Rust Crates源", "http://mirrors.ustc.edu.cn/help/crates.io-index.html"],
        ["[CN] 中国科学技术大学开源软件镜像站-Rust Toolchain源", "http://mirrors.ustc.edu.cn/help/rust-static.html"],
        ["[CN] 南京大学开源镜像站-Rust Crates源", "https://nju-mirror-help.njuer.org/rust-crates.html"],
        ["[CN] 上海交通大学开源镜像站-Rust Crates源", "https://mirrors.sjtug.sjtu.edu.cn/#/"],
        ["[CN] Rustcc.com源", "https://rustcc.com/article?id=6baecc6f-29ed-40d2-870b-343606aa2e93"],
    ]
};